Subject: bug#24640: Crashes in 25.1

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Oct 2016 09:15:42 +0300

> From: Reuben Thomas <[email-masked]>
> Date: Sun, 9 Oct 2016 21:21:01 +0100
> Cc: [email-masked]
> 
> ​I rebuilt with the options suggested in etc/DEBUG, and couldn't get it to crash.
> ​ I then tried building with -Og instead of -O0, as suggested in etc/DEBUG. Still no crash. (I ran each binary
> under gdb 3 times, as when it crashes it crashes more than once every 3 times I run it.) I tried building with
> -O2: it crashes again. Now that it is built with the same options as etc/DEBUG, except for -O2, is that more
> useful?

I'm not sure.  What compiler switches yo used, and what is your GCC
version?

>  > If you are willing to try the debugging yourself, there's some advice
>  > in etc/DEBUG (search for "Debugging problems which happen in GC").
>  >
>  > ​I'll have a look.​
> 
>  Thanks.
> 
> ​Sorry: having had a look, the reconstruction of Lisp data structures looks like more than I have time for at
> present.

Can you give me a shell login to your machine, and set it up so that
after a login I could connect to the GDB session with a crashed Emacs?
SSH is fine.

Thanks.